# ~/.bashrc
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return

parse_git_branch() {
  git branch 2> /dev/null | sed -e '/^[^*]/d' -e 's/* \(.*\)/(\1)/'
}

[ -z ${WSLENV+x} ] || export PATH="${PATH:+"$PATH:"}$HOME/bin"

# Aliases
# general aliases
alias ls='ls --color=auto'
alias vim='nvim'

# git aliases
alias ga='git add'
alias gcm='git commit -m'
alias gs='git status'
alias gp='git push'

# config aliases
alias vimc='nvim ~/.config/nvim/init.vim'
alias wmc='nvim ~/.config/i3/config'

# asus tools aliases
alias sup='supergfxctl'

PS1='\[\e[1;33m\]\u \[\e[1;32m\]\w \[\e[0m\]$(parse_git_branch)\n\[\e[35m\]\[\e[1m\]\$ \[\e[0m\]'

# export term
export TERM=xterm-256color

# android studio stuff
export ANDROID_HOME=$HOME/Android/Sdk
export PATH=$PATH:$ANDROID_HOME/emulator
export PATH=$PATH:$ANDROID_HOME/tools
export PATH=$PATH:$ANDROID_HOME/tools/bin
export PATH=$PATH:$ANDROID_HOME/platform-tools
